Attributes.ExpirationDateOverflowPolicy (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Enum Attributes.ExpirationDateOverflowPolicy

- java.lang.Object
- - java.lang.Enum<Attributes.ExpirationDateOverflowPolicy>
  - - org.apache.cassandra.cql3.Attributes.ExpirationDateOverflowPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Attributes.ExpirationDateOverflowPolicy>
  Enclosing class:
    Attributes

      public static enum Attributes.ExpirationDateOverflowPolicy
      extends java.lang.Enum<Attributes.ExpirationDateOverflowPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAP`
    `REJECT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Attributes.ExpirationDateOverflowPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Attributes.ExpirationDateOverflowPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REJECT

          public static final Attributes.ExpirationDateOverflowPolicy REJECT

    - #### CAP

          public static final Attributes.ExpirationDateOverflowPolicy CAP

  - ### Method Detail

    - #### values

          public static Attributes.ExpirationDateOverflowPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Attributes.ExpirationDateOverflowPolicy c : Attributes.ExpirationDateOverflowPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Attributes.ExpirationDateOverflowPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation